/*
** definizione e test delle funzioni per la somma del contenuto di due vettori 
** in un terzo vettore
*/
#include <stdio.h>

/* definizione della costante simbolica per la dimensione del vettore */
#define DIM 3
 
/*
** funzione per l'acquisizione del contenuto di un vettore di interi
*/
void acqVettInt (int *vett, int dim)
 {
 /* variabile per la scansione del vettore */
 int cursore;
 
 /* scandisce il vettore acquisendone gli elementi */
 for (cursore=0; cursore <= dim-1; cursore++)
    {
    printf("\nvett[%d]? ", cursore);
    scanf("%d", &vett[cursore]);
    }
 }
 
/*
** funzione per la restituzione del contenuto di un vettore di interi
*/
void resVettInt (int *vett, int dim)
 {
 /* variabile per la scansione del vettore */
 int cursore;

 /* scandisce il vettore visualizzandone gli elementi */ 
 for (cursore=0; cursore <= dim-1; cursore++)
	printf("\nvett[%d]: %d", cursore, vett[cursore]);
 }
 
 /*
 ** definizione di una funzione per la somma di due
 ** vettori in un terzo vettore di interi
 */
 void sommaVettInt(int *add1, int *add2, int *ris, int dim)
	{
	/* variabile per la scansione dei vettori */
	int cursore;
	
	/* scandisce i vettori sorgente generando quelli del vettore risultato */
	for (cursore = 0; cursore <= dim-1; cursore ++)
		ris[cursore] = add1[cursore] + add2[cursore];
	}
 
/*
** test delle funzioni per l'acquisizione e la restituzione
** del contenuto di un vettore di interi
** 
*/
int main()
	{
	/* definizione dei vettori sorgenti */
	int vett1[DIM];
	int vett2[DIM];
	
	/* definizione del vettore risultato */
	int somma[DIM];
	
	/* acquisisce i vettori sorgenti */
	acqVettInt (vett1, DIM);
	acqVettInt (vett2, DIM);
	
	/* somma i due vettori sorgenti nel vettore risultato */
	sommaVettInt(vett1, vett2, somma, DIM);
	
	/* verifica la corretta esecuzione della somma */
	resVettInt (somma, DIM);
 
	return(1);
	}

